<pre style="background-color: transparent; color: #e87d0c">
____________________   ______              _______________
__  ____/___  _/__  | / /_  /_____________ __  ____/_  __ \
_  /     __  / __   |/ /_  __/_  ___/  __ `/  / __ _  / / /
/ /___  __/ /  _  /|  / / /_ _  /   / /_/ // /_/ / / /_/ /
\____/  /___/  /_/ |_/  \__/ /_/    \__,_/ \____/  \____/
</pre>
> Importiert Trackinginformation a la Packtisch
***

## Synopsis

```
cintrago[.exe] function [command] [parameters]

functions:

    service -run | -install | -start | -stop | -uninstall
    watcher -run
    single -run [filename]
    doc
```

## Funktionen

### Service

Mit der Funktion Service kann die Service-Verwaltung unter Windows gesteuert werden. Die einzelnen Kommandos:

#### **-run**
```
C:\CINtraGO>.\cintrago.exe service -run
```
Startet CINtraGO einmalig in der Betriebsart Service. Dabei werden alle in der Konfigurationsdatei definierten Ziele zu den jeweiligen Zeitpunkten heruntergeladen und importiert.

#### **-install**
```
C:\CINtraGO>.\cintrago.exe service -install
```
Installiert CINtraGO als Windows Dienst. Dazu wird [NSSM](https://nssm.cc/) verwendet. NSSM ist in CINtraGO integriert und muss nicht gesondert heruntergeladen, oder installiert werden.
<span style="color: #f00;font-weight: bold; text-align: center;">
MUSS in einem CMD/PowerShell-Fenster mit Admin-Rechten ausgeführt werden!
</span>

#### **-start**
```
C:\CINtraGO>.\cintrago.exe service -start
```
Startet den CINtraGO Dienst nach erfolgter Installation. Der Dienst kann auch über das Dienste-App von Windows gestartet oder neu gestartet werden.

#### **-stop**
```
C:\CINtraGO>.\cintrago.exe service -stop
```
Stoppt den CINtraGO Dienst. Der Dienst kann auch über das Dienste-App von Windows gestoppt werden.

#### **-uninstall**
```
C:\CINtraGO>.\cintrago.exe service -uninstall
```
Entfernt den CINtraGO Dienst.

### Single

Mit der Funktion Single kann eine einzelne Tracking-Datei importiert werden.

#### -run [filename]

Importiert eine einzelne Tracking-Datei. Der anzugebende Dateiname ist dabei relativ zum zur Beobachtung konfigurierten Ordner.


### Doc

    Mit der funktion Doc wird ein Browserfenster geöffnet, dass diese Dokumentation anzeigt.


## Konfiguration

Die Konfiguration von CINtraGO liegt in einer JSON-Datei namens "config.json". Diese Datei liegt im selben Verzeichnis, wie cintrago[.exe].

Die Konfigurationsdatei nutzt das [JSON-Fomat](https://de.wikipedia.org/wiki/JavaScript_Object_Notation)

Hier ein Beispiel für die Konfigurationsdatei:

```json
{
  "global": {
    "environment": "production",
    "errormailto": ["errors@cin.support"],
    "errormaillevel": "error"
  },
  "trackingimport": {
    "db": {
      "host": "(local)\\JTLWAWI",
      "user": "sa",
      "password": "sa04jT14",
      "name": "eazybusiness"
    },
    "kuser": 1,
    "watchpath": "C:\\Fulfilment\\Tracking\\import",
    "delimiter": ";"
  }
}

```
**##ACHTUNG**
In der config darauf achten, das das Trennzeichen im delimiter richtig gesetzt ist. Standard ist , müsste aber ; sein.

## Importdatei

Die Importdatei muss im Format CSV angelifert werden. Sie muss eine Kopfzeile enthalten, mit ; getrennt sein und die Felder mit " eingeschlossen haben:
```csv
"Order";"Tracking";"cLieferscheinNr";"cVersandinformation","cVersandDatum"
"AB203367-001";"00340434260388933332";"12761568-001";"schöne Sonndach","02.01.2006"

```

Wird eine Importdatei im zur Beobachtung konfigurierten Ordner abgelegt, wird CINtraGO die Enthaltenen Versandinformationen in die Wawi importieren.

Eine Importdatei kann mehrere Zeilen Versandinformationen enthalten.
